package cn.axzo.msg.center.api.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 *
 *
 * @author wangli
 * @date 2023/5/6 19:11
 */
@Getter
public enum BizTypeEnum {
  CONSTRUCTION(1, "施工业务"),
  TRADE(2, "交易业务");
  public final int value;
  public final String desc;

  BizTypeEnum(int value, String desc) {
    this.value = value;
    this.desc = desc;
  }
  public static BizTypeEnum valueOf(Integer code) {
    return Arrays.stream(values()).filter(it -> it.value==code).findFirst()
            .orElse(null);
  }
}
